#!/usr/bin/env lua

require("tar")

t,emsg = tar.open("ABCD.tar")
print(t,emsg)

t,emsg = tar.open("libtar-1.2.11.tar")
print(t,emsg)

local copyright 
for f in t:files() do
   print(f)

   local info = t:info()

   for k,v in next,info do
      print("", k, v)
   end

   if string.find(f, "COPYRIGHT") then
      copyright = t:read();
   else
      t:extract{ path = "test-extract/" }
   end
end

print("COPYRIGHT================================");
print(copyright)
print("COPYRIGHT================================");

t:close()

-- FIXME only reading support so far
os.exit(0)
t,emsg = tar.new{
   pathname = "test.tgz", 
   compression = 6,
   type = tar.TYPE.BZIP2,
   flags = tar.TAR.GNU + tar.TAR.VERBOSE,
}
print(t,emsg)

t:close()



